Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 05:36
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
FFmpeg-0.8.12 for Wary/Racy-5.3
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Tue 24 Jul 2012, 01:06    Post subject:  FFmpeg-0.8.12 for Wary/Racy-5.3  

Here is ffmpeg-0.8.12 which supports network and x11grab for Wary/Racy-5.3.
ffmpeg-0.8.12-1-w5.pet
For older version of Wary/Racy released before October 2011, need to upgrade x264 and mplayer:
x264-20110930-w5c.pet, mplayer_gui-20110929-w5c.pet
http://shino.pos.to/party/bridge.cgi?puppy/opt/pup5/
DO NOT install on puppies other than Wary or Racy.
NOTE: ffmpeg-0.8.12-w5.pet is older and does not support network.

Also install the FFConvert-1.3 or later to enable capturing screen.
http://www.murga-linux.com/puppy/viewtopic.php?t=54056

Other than Wary/Racy, you need not upgrade ffmpeg because they already support network and x11grab.

Thanks to npierce for the important informtion in compiling the ffmpeg.
http://www.murga-linux.com/puppy/viewtopic.php?t=76182&start=275

Configure options:
Code:
export LIBRARY_PATH=$LD_LIBRARY_PATH
./configure  --prefix=/usr --cpu=i486 --enable-shared --enable-gpl --enable-nonfree --enable-x11grab --enable-small --enable-runtime-cpudetect --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libdc1394 --enable-libfaac --enable-libfreetype --enable-libmp3lame --enable-libschroedinger --enable-libspeex --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxvid --enable-zlib --enable-postproc --disable-debug --enable-bzlib --enable-version3 --enable-libtheora --enable-swscale

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html

Last edited by shinobar on Tue 24 Jul 2012, 22:39; edited 5 times in total
Back to top
View user's profile Send private message Visit poster's website 
linuxcbon

Joined: 09 Aug 2007
Posts: 762

PostPosted: Tue 24 Jul 2012, 15:20    Post subject:  

You need to remove the "disable-network" option.
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Tue 24 Jul 2012, 16:05    Post subject: network support  

linuxcbon wrote:
You need to remove the "disable-network" option.

Thanks. UPDATED:
The ffmpeg-0.8.12 which supports network and x11grab for Wary/Racy-5.3.
ffmpeg-0.8.12-1-w5.pet

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Sat 15 Sep 2012, 22:39    Post subject:  

Thanks, Shinobar!
Looking at the .configure options ...
that's a big task to compile all of those dependencies.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0576s ][ Queries: 12 (0.0166s) ][ GZIP on ]